local symbol_cvt = function(str)                                                                                                                                                         
  str = string.gsub(str,"&","&amp;")
  str = string.gsub(str,"<","&lt;")
  str = string.gsub(str,">","&gt;")
  str = string.gsub(str,"'","&apos;")
  str = string.gsub(str,"\"","&quot;")
  return str 
end

str_format = [==[
<?xml version="1.0" encoding="%s" ?>
<result>
    <interpretation grammar="%s" confidence="%s">
        <instance>
            <r0>%s</r0>
            <start>%s</start>
            <nlresult>type=%s time=%s %s result=%s score=%s</nlresult>
        </instance>
        <input mode="speech">%s</input>
    </interpretation>
</result>
]==]

function get_xml_result()
  if (_recog_mode~="speech-to-text") then
    _recog_mode = "voice-guide"
  end
  return string.format(str_format,_charset,symbol_cvt(_grammar_url),_confidence,_channel_id,_time_begin,_recog_mode,_time_begin,_time_end,_asr_result, _confidence,_asr_result)
end

